function P = Parameters()

P = zeros(34,1);

Range =  Parm_range();

success = false;
while ~success
    
    % Uniform (random)
    for i=1:34
        P(i) = Range(i,1) + rand(1)*(Range(i,2) - Range(i,1));
    end   
         
    P(30) = 0.2*P(28); % Initial N
    
    % Parameters dependent on other parameters
    P(33) = (log(P(8))-log(P(3).*(1-P(6) *P(28))))/log(P(28)); % q
    P(34) = P(19)*P(29)^2; % k_rho
    
    % Stability check
    success=P(11)<P(14)*P(29)*P(5);
end